Great! Diana, thank you very much for providing good descriptions of your problem and solution - it might help others experiencing the same problem.

Sorry for the issue. Yes, the Python version is important since the Python Scripting Element is linked to a particular version of the Python library.